db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rick Hillegas (JIRA)" <j...@apache.org>
Subject [jira] Updated: (DERBY-3988) Set the Java 6 complilation path based on the Java 5 compilation path so that the JDBC4 support is always built
Date Fri, 12 Dec 2008 20:13:44 GMT

     [ https://issues.apache.org/jira/browse/DERBY-3988?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Rick Hillegas updated DERBY-3988:
---------------------------------

    Attachment: derby-3988-01-aa-alwaysCompileJDBC4.diff

Attaching derby-3988-01-aa-alwaysCompileJDBC4.diff. This patch makes it possible to build
the entire Derby product given only the Derby source and a Java 5 environment. Makes the following
changes:

1) Sets java16compile.classpath=${jdbc4stubs}:${java15compile.classpath}

2) Eliminates the jdk16 conditional variable.

3) Changes the Java 6 targets to compile to Java 5 byte code and to use the default compiler.


Touches the following files:

M      build.xml

Changes needed for (1).


M      java/engine/org/apache/derby/impl/jdbc/build.xml
M      java/engine/org/apache/derby/iapi/jdbc/build.xml
M      java/engine/org/apache/derby/jdbc/build.xml
M      java/engine/build.xml
M      java/testing/org/apache/derbyTesting/functionTests/tests/jdbc4/build.xml
M      java/client/build.xml

Changes needed for (2) and (3).


> Set the Java 6 complilation path based on the Java 5 compilation path so that the JDBC4
support is always built
> ---------------------------------------------------------------------------------------------------------------
>
>                 Key: DERBY-3988
>                 URL: https://issues.apache.org/jira/browse/DERBY-3988
>             Project: Derby
>          Issue Type: Improvement
>          Components: Build tools
>    Affects Versions: 10.5.0.0
>            Reporter: Rick Hillegas
>         Attachments: derby-3988-01-aa-alwaysCompileJDBC4.diff
>
>
> Now that we have checked in the JDBC4 stubs, it ought to be possible to build the JDBC4
support with just the Java 5 libraries and compiler. Set java16compile.classpath=${jdbc4stubs}:${java15compile.classpath}.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message